ASGExplore
Keywords: uk.ac.ic.doc.rodex.qproc.ASGExplore class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.rodex.qproc
Class ASGExplore

    java.lang.Object
      uk.ac.ic.doc.rodex.qproc.ASGExplore

    public class ASGExplore

extends java.lang.Object

Field Summary
`static java.lang.String` | `TYPE_APPLY`
`static java.lang.String` | `TYPE_CONS_CONSTRUCTOR`
`static java.lang.String` | `TYPE_CONSTANT`
`static java.lang.String` | `TYPE_CONSTRUCTOR`
`static java.lang.String` | `TYPE_SCHEME`

Constructor Summary
`ASGExplore(ASG asg)` Creates a new instance of ASGExplore dmle 22/11/2005

Method Summary
`static void` | `displayASG(java.lang.String asgString)` For each ASG string, display the ASG graph of it
`java.util.List` | `getAllSchemes()` Get all ASG's cell scheme
`static java.lang.String` | `getCellAsString(Cell c)` Added to return a string representation of a ASG's cell dmle 22/11/2005
`static java.lang.String` | `getCellType(Cell c)` Return the ASG cell's type name dmle 22/11/2005
`void` | `getSchemes(java.util.List schemes, Cell treeCell)` A recursive method to get a list of schemes from an ASG query dmle 22/11/2005
`static ASG` | `joinASGs(java.util.List asgObjs)` This method test creating a new ASG from unioning two ASGs dmle 26/1/2006
`static ASG` | `joinASGs(java.lang.String[] asgStrings)` An overloading method of `joinASGs(List asgObjs)`
`static void` | `main(java.lang.String[] args)`
`static void` | `parseASG(java.lang.String asgString)` Parse ASGs into variables
`void` | `print()`
`void` | `print(Cell c)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE_APPLY

    public static final java.lang.String TYPE_APPLY

See Also:
  Constant Field Values

### TYPE_CONSTRUCTOR

    public static final java.lang.String TYPE_CONSTRUCTOR

See Also:
  Constant Field Values

### TYPE_CONSTANT

    public static final java.lang.String TYPE_CONSTANT

See Also:
  Constant Field Values

### TYPE_CONS_CONSTRUCTOR

    public static final java.lang.String TYPE_CONS_CONSTRUCTOR

See Also:
  Constant Field Values

### TYPE_SCHEME

    public static final java.lang.String TYPE_SCHEME

See Also:
  Constant Field Values

Constructor Detail

### ASGExplore

    public ASGExplore(ASG asg)

  Creates a new instance of ASGExplore dmle 22/11/2005

Method Detail

### print

    public void print()
               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### print

    public void print(Cell c)
               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getAllSchemes

    public java.util.List getAllSchemes()

  Get all ASG's cell scheme

### getSchemes

    public void getSchemes(java.util.List schemes,
                           Cell treeCell)

  A recursive method to get a list of schemes from an ASG query
  dmle 22/11/2005

### getCellAsString

    public static java.lang.String getCellAsString(Cell c)

  Added to return a string representation of a ASG's cell dmle 22/11/2005

### getCellType

    public static java.lang.String getCellType(Cell c)

  Return the ASG cell's type name dmle 22/11/2005

### joinASGs

    public static ASG joinASGs(java.util.List asgObjs)

  This method test creating a new ASG from unioning two ASGs dmle 26/1/2006

### joinASGs

    public static ASG joinASGs(java.lang.String[] asgStrings)

  An overloading method of `joinASGs(List asgObjs)`

### displayASG

    public static void displayASG(java.lang.String asgString)
                           throws java.lang.Exception

  For each ASG string, display the ASG graph of it

  Throws:
    `java.lang.Exception`

### parseASG

    public static void parseASG(java.lang.String asgString)
                         throws java.lang.Exception

  Parse ASGs into variables

  Throws:
    `java.lang.Exception`

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD